Error during sync

Keep getting below error prompt on sync

Error message (don't change this)
Anki 23.12.1 (1a1d4d54)  (ao)
Python 3.9.15 Qt 6.5.3 PyQt 6.5.3
Platform: macOS-14.2.1-arm64-arm-64bit

Traceback (most recent call last):

  File "aqt.taskman", line 142, in _on_closures_pending

  File "aqt.taskman", line 86, in <lambda>

  File "aqt.taskman", line 106, in wrapped_done

  File "/Users/michael/Library/Application Support/Anki2/addons21/1322529746/gui/operations/ankihub_sync.py", line 43, in on_sync_done
    on_done(future_with_exception(future.exception()))

  File "/Users/michael/Library/Application Support/Anki2/addons21/1322529746/gui/auto_sync.py", line 101, in sync_with_ankiweb
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "concurrent.futures.thread", line 58, in run

  File "/Users/michael/Library/Application Support/Anki2/addons21/1322529746/gui/operations/ankihub_sync.py", line 36, in <lambda>
    task=lambda: ah_deck_updater.update_decks_and_media(to_sync_ah_dids),

  File "/Users/michael/Library/Application Support/Anki2/addons21/1322529746/gui/deck_updater.py", line 53, in update_decks_and_media
    self._update_decks(ah_dids)

  File "/Users/michael/Library/Application Support/Anki2/addons21/1322529746/gui/deck_updater.py", line 76, in _update_decks
    should_continue = self._update_single_deck(ah_did)

  File "/Users/michael/Library/Application Support/Anki2/addons21/1322529746/gui/deck_updater.py", line 90, in _update_single_deck
    result = self._download_updates_for_deck(ankihub_did)

  File "/Users/michael/Library/Application Support/Anki2/addons21/1322529746/gui/deck_updater.py", line 108, in _download_updates_for_deck
    for chunk in self._client.get_deck_updates(

  File "/Users/michael/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 707, in get_deck_updates
    notes_data = json.loads(self._gzip_decompress_string(notes_data_gzipped))

  File "json", line 346, in loads

  File "json.decoder", line 337, in decode

  File "json.decoder", line 355, in raw_decode

json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

Sentry link (for developers)

6 Likes

same problem on mac

5 Likes

Hello,

The developer team has been notified of this issue.

Please hang tight while we investigate this issue, we will inform you of the outcome

Thank you for your patience

6 Likes

same here

1 Like

Same here. I also have a Mac.

1 Like

Same error, but am on PC. Looks to be identical error other than the file locations.

2 Likes

Same error

1 Like

same here

1 Like

@Girth @mtaub01 @veriyaki @hankcraighead @egilliamVTC @nckmed @victor9819

A fix was identified, it will be pushed soon. We will keep you all updated

2 Likes

The issue has been fixed! Try syncing now and it should work. If it does not, please let us know!

3 Likes